apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
    name: cyberchef
    namespace: argocd
    finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'https://gitlab.com/drapko/kubernetes/argocd/stacks-deploy.git'
    path: cyberchef
    targetRevision: HEAD
    helm:
      valueFiles:
        - {{ .Values.valueFiles }}
  destination:
    server: 'https://kubernetes.default.svc'
    namespace: {{ .Values.cyberchef.destination.namespace }}
  syncPolicy:
    automated:
      selfHeal: false
